Subject: bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'? Really?

From: Gregory Heytings <[email-masked]>
Date: Thu, 09 Sep 2021 14:27:50 +0000

>> Do you have an example of a variable with a :set for which it isn't 
>> problematic to use setq, and an example for which it is?
>
> Do you mean after loading/starting the package?  I guess most of them 
> are problematic after loading, like (at random) vcursor-key-bindings.
>
> Most variable that's autoloaded and has a :set can probably be set 
> safely with setq (before loading the .el file).
>

Then I still don't get what you mean.  An autoloaded but not yet loaded 
variable doesn't have its custom-set property set, so in that case there 
would be no warning with the proposed patch.  Warnings are displayed only 
for customs variables that are "fully" loaded, and who have a :set 
property.